import type { UmbBlockCatalogueModalData, UmbBlockCatalogueModalValue } from './block-catalogue-modal.token.js';
import { UmbModalBaseElement } from '../../../../core/modal/index.js';
export declare class UmbBlockCatalogueModalElement extends UmbModalBaseElement<UmbBlockCatalogueModalData, UmbBlockCatalogueModalValue> {
    #private;
    private _groupedBlocks;
    private _openClipboard?;
    private _workspacePath?;
    private _filtered;
    private _manager?;
    private _loading;
    constructor();
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbBlockCatalogueModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-block-catalogue-modal': UmbBlockCatalogueModalElement;
    }
}
